<template>
    <div class>
        <b-container class="container">
          <div>
            <p>Name: {{ game.gameName }}</p>
            <p>Category: {{game.categories}}</p>
          </div>
          <div>
            <b-button class="sizeButton" style="background: #c48d9d" v-on:click="$emit('del-game', game._id)">Delete</b-button>
            <b-button class="sizeButton" style="background: #7dc2af" v-on:click="$emit('start-game', game._id)">Play</b-button>
          </div>
        </b-container>
    </div>
</template>

<script>
export default {
  name: 'game-item',
  props: ['game']
}
</script>

<style scoped>
p {
    color: white;
    border-style: solid;
    background: transparent;
    border: none;

}
.sizeButton{
  margin: 10px;
  height: 20%;
  width: 40%;
  border: none
}
.container{
  background: #e27c5f;
  padding: 10px;
  font-size: 100%;
  margin: 10px;
  border-radius: 10px;
  border: white solid 0.5em
}
</style>
